      INTEGER FUNCTION ISRCHFGE(N,ARRAY,INC,TARGET)
      REAL             ARRAY(1+INC*(N-1))
C
      IF (N.LE.0) THEN
        ISRCHFGE=0
        RETURN
      ELSE
        DO 1 I=1,N
          IF ( ARRAY(1+INC*(I-1)).GE.TARGET ) THEN
            ISRCHFGE=I
            RETURN
          ENDIF
1       CONTINUE
        ISRCHFGE=N+1
      ENDIF
      END
